##
##  limesurvey-apache.conf -- Drupal Apache Custom Configuration
##

ServerRoot             @l_prefix@
ServerAdmin            root@@l_hostname@.@l_domainname@
ServerName             @l_hostname@.@l_domainname@
ServerTokens           Prod
User                   @l_rusr@
Group                  @l_rgrp@
Listen                 127.0.0.1:8084

#   runtime files
PidFile                @l_prefix@/var/limesurvey/run/apache.pid
ScoreBoardFile         @l_prefix@/var/limesurvey/run/apache.sb
LockFile               @l_prefix@/var/limesurvey/run/apache.lck

#   include apache-php
Include                @l_prefix@/etc/apache/apache.d/apache-php.conf

#  server behaviour
Timeout                300
KeepAlive              on
MaxKeepAliveRequests   100
KeepAliveTimeout       15
MinSpareServers        5
MaxSpareServers        10
StartServers           5
MaxClients             15
MaxRequestsPerChild    500
HostnameLookups        off
UseCanonicalName       on

#   access logging
LogFormat              "%h %l %u %t \"%r\" %>s %b \"%{Referer}i\" \"%{User-Agent}i\"" combined
LogFormat              "%h %l %u %t \"%r\" %>s %b" common
LogFormat              "%{Referer}i -> %U" referer
LogFormat              "%{User-agent}i" agent
CustomLog              @l_prefix@/var/limesurvey/log/apache.access.log common

#   error logging
LogLevel               warn
ErrorLog               @l_prefix@/var/limesurvey/log/apache.error.log
ServerSignature        on

#   secure root directory
<Directory />
    Options FollowSymLinks
    AllowOverride None
</Directory>

#   browser specifics
BrowserMatch "Mozilla/2"       nokeepalive
BrowserMatch "MSIE 4\.0b2;"    nokeepalive downgrade-1.0 force-response-1.0
BrowserMatch "RealPlayer 4\.0" force-response-1.0
BrowserMatch "Java/1\.0"       force-response-1.0
BrowserMatch "JDK/1\.0"        force-response-1.0

#   SSL/TLS support
<IfModule ssl_module>
    SSLRandomSeed           startup builtin
    SSLRandomSeed           connect builtin
    SSLMutex                sem
    SSLSessionCache         shmcb:@l_prefix@/var/limesurvey/run/apache.scache(512000)
    SSLSessionCacheTimeout  300
    SSLCipherSuite          ALL:!ADH:!EXPORT56:RC4+RSA:+HIGH:+MEDIUM:+LOW:+SSLv2:+EXP:+eNULL
    SetEnvIf User-Agent ".*MSIE.*" \
             nokeepalive ssl-unclean-shutdown \
             downgrade-1.0 force-response-1.0
    <Files ~ "\.(cgi|shtml|phtml|php?)$">
        SSLOptions +StdEnvVars
    </Files>
    <Directory "@l_prefix@/cgi">
        SSLOptions +StdEnvVars
    </Directory>
</IfModule>

#   configure PHP for Drupal
AddType           application/x-httpd-php       .php
php_admin_flag    magic_quotes_gpc              off
php_admin_flag    register_globals              off
php_admin_flag    session.auto_start            off
php_admin_value   session.save_handler          user
php_admin_value   session.cache_limiter         none
php_admin_value   error_reporting               6135
php_admin_value   memory_limit                  64M
php_admin_value   mbstring.http_input           pass
php_admin_value   mbstring.http_output          pass
php_admin_flag    mbstring.encoding_translation off
php_admin_value   include_path                  .:@l_prefix@/libexec/limesurvey/includes

#   configure Drupal
RewriteEngine     on
RewriteRule       ^/$ /limesurvey/ [R,L]
Alias             /limesurvey @l_prefix@/libexec/limesurvey
DocumentRoot      @l_prefix@/libexec/limesurvey
DirectoryIndex    index.php
ErrorDocument     404 /index.php
ExpiresByType     text/html A1
<Directory        @l_prefix@/share/limesurvey>
    Options       -Indexes +FollowSymLinks
    AllowOverride All
    Order         allow,deny
    Allow         from all
    RewriteEngine On
    RewriteBase   /limesurvey
</Directory>

